import pygame
import images
from pygame.locals import *
import maps


def main_menu():
    """
    Displays the main menu screen, allowing the user to select options for
    game play (singleplayer or multiplayer), map, fog, and game mode
    (score limit, time limit, or round limit). """
    
    multiplayer = 1
    mapp        = 2
    fog         = 3
    game_mode   = 4
    return_    = 5
        
    def get_text(var):
        """ Returns the text to be displayed for each option in the main menu.
        """
        
        white = (255,255,255)
        font = pygame.font.SysFont('Corbel',35)
      
        if var == multiplayer :
            text1 = font.render('play:' , True , white)
            text2 = font.render('Capture the Flag!' , True , white)
            text3 = font.render('singleplayer: press 1!' , True , white)
            text4 = font.render('multiplayer:  press 2!' , True , white)
        elif var == mapp :
            text1 = font.render('Choose a map:' , True , white)
            text2 = font.render('Capture the Flag!' , True , white)
            text3 = font.render('Map1, Map2 or Map3' , True , white)
            text4 = font.render('press: 1 , 2 or 3 ' , True , white)
        elif var == fog :
            text1 = font.render('Choose fog:' , True , white)
            text2 = font.render('Capture the Flag!' , True , white)
            text3 = font.render('With fog:    press 1' , True , white)
            text4 = font.render('Without fog: press 2' , True , white)
        elif var == game_mode :
            text1 = font.render('Choose a game mode:' , True , white)
            text2 = font.render('Capture the Flag!' , True , white)
            text3 = font.render('Score limit, Time limit or Round limit' ,\
                                True , white)
            text4 = font.render('press: 1, 2 or 3 ' , True , white)
        
        return text1,text2,text3,text4

    def print_on_screen(lst):
        """ prints the text on the screen """
        
        green = (80,200,80)
        width = 600
        height = 600
        screen = pygame.display.set_mode((width,height))
        screen.fill(green)
        screen.blit(lst[0], (width/6,height/3))
        screen.blit(lst[1], (width/6,height/6))
        screen.blit(lst[2], (width/6,height/3+30))
        screen.blit(lst[3], (width/6,height/3+70))
        pygame.display.update()

    return_list = []
    state = 1
    while True:
        
        print_on_screen(get_text(state))
        
        for ev in pygame.event.get():
            if ev.type == KEYDOWN:
                temp = None
                if ev.key == K_ESCAPE:
                    pygame.quit()
                if ev.key == K_1:
                    if state == multiplayer :
                        temp = False
                    elif state == mapp :
                        temp = maps.map0
                    elif state == fog :
                        temp = True
                    elif state == game_mode :
                        temp = 1
                    
                elif ev.key == K_2:
                    if state == multiplayer :
                        temp = True
                    elif state == mapp :
                        temp = maps.map1
                    elif state == fog :
                        temp = False
                    elif state == game_mode :
                        temp = 2
                    
                elif ev.key == K_3:
                    if state == mapp :
                        temp = maps.map2
                    elif state == game_mode :
                        temp = 3
                        
                if temp != None:
                    return_list.append(temp)
                    state = state + 1
            
            if state == return_ :
                return return_list
